[Unit]
Description=slock -- suckless screen locker
Documentation=man:slock(1) man:xss-lock(1)
PartOf=lock.target
Conflicts=unclutter.service
After=lock.target
RefuseManualStop=yes

[Service]
Type=simple
ExecStartPre=/usr/bin/xset +dpms dpms 0 0 ${DPMS_TIMEOUT}
ExecStart=/usr/local/bin/slock -m "ANTI SUCK-SUCK CLUB"
ExecStopPost=/bin/systemctl --user --no-block start xset-dpms.service
ExecStopPost=/bin/systemctl --user --no-block start unclutter.service
Restart=on-failure
RestartSec=2

[Install]
WantedBy=lock.target
WantedBy=sleep.target

